// Demo code for Grove - Temperature Sensor V1.1/1.2
// Loovee @ 2015-8-26

#include <math.h>

const int B = 4275;               // Coefficient B de la thermistance 
const int R0 = 100000;            // R0 = 100k
const int pinTempSensor = A0;     //Le module Grove-Température est connecté sur A0

void setup()
{
    Serial.begin(9600);  // initialise le débit de communication avec le port-série à 9600 bauds
}

void loop()
{
    int val = analogRead(pinTempSensor); // Lecture de la tension fournie par le capteur de température
    
     // la tension est convertie en une valeur numérique comprise entre 0 et 1023
 

    float R = (1023.0/val-1.0)*R0;  // Calcule la valeur de la résistance de la thermistance
    
    // la thermistance forme un pont diviseur de tension avec R0


    float temperature = 
    
    // Calcule la temperature en °C à partir de la valeur de la résistance
    
    Serial.print("temperature = ");
    Serial.println(temperature);

    delay(1000);
}
